Return a list of all the deployed services, retrieved from a Worker Tenant.

Permission Level: Read

GET /tenants/v1/worker-deployments

Operation id: TenantService_ListWorkerDeployments

Tags: TenantService

Parameters

Query parameters

NameTypeRequiredDescription
clientAddressstringNoDNS address, e.g. uat.ssppcoret.zebra.engineering, of the Operating Set (internal term) to be queried. Note that this may be different from the url / location / Operating Set / etc. of the "Control Plane" or "Central" Tenant Service, and that's why one cannot directly call a stub. Required: True
namespacestringNoGKE namespace of the deployments to be retrieved, passed to the Worker Tenat request, Required: true
tenantRequestKeystringNoWorker Tenant Service instances must communicate with the Control Plane Tenant instance, but the Workers are in different service meshes, so they can't communicate directly. This field provides the key to a Google Managed Secret that allows that inter-mesh communication

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
deploymentMessagearrayNo
cachedAtTimestampstring (date-time)No
{
  "type": "object",
  "properties": {
    "deploymentMessage": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "deploymentName": {
            "type": "string"
          },
          "semanticVersion": {
            "type": "string"
          },
          "availableReplicas": {
            "type": "integer",
            "format": "int32"
          },
          "unavailableReplicas": {
            "type": "integer",
            "format": "int32"
          },
          "conditions": {
            "type": "array",
            "items": {
              "type": "object"
            }
          }
        }
      }
    },
    "cachedAtTimestamp": {
      "type": "string",
      "format": "date-time"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}